complexType "NettedTradeCashflowsProposedMatch"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | tradeCashflowsId?, (tradeIdentifyingItems*, adjustedPaymentDate?, payment*)?, matchId?, difference*
</...>

Content Model Elements (6):

  adjustedPaymentDate (defined in NettedTradeCashflows.model group),
  difference (in proposedMatch in nettedTradeCashflowsMatchResult),
  matchId (in proposedMatch in nettedTradeCashflowsMatchResult),
  payment (defined in NettedTradeCashflows.model group),
  tradeCashflowsId (defined in IdAndNettedTradeCashflows.model group),
  tradeIdentifyingItems (defined in NettedTradeCashflows.model group)

All Direct / Indirect Based Elements (1):

  proposedMatch (in nettedTradeCashflowsMatchResult)

Known Usage Locations

- As direct type of elements (1):
  proposedMatch (in nettedTradeCashflowsMatchResult)

Annotation
"Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cash flow that is being asserted.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="NettedTradeCashflowsProposedMatch"> <xsd:sequence> <xsd:group ref="IdAndNettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/6)
difference

  Type: | TradeDifference, complex content

  A type used to record the details of a difference between two sides of a payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"/>

matchId

  Type: | MatchId, simple content

  A unique identifier assigned by the matching service to each set of matched cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.